=== modified file 'branchbox.py'
--- branchbox.py	2011-07-31 16:50:29 +0000
+++ branchbox.py	2011-08-13 01:28:20 +0000
@@ -25,8 +25,8 @@
 class BranchSelectionBox(Gtk.HBox):
 
     def __init__(self, path=None):
-        GObject.GObject.__init__(self)
-        self._combo = Gtk.ComboBoxEntry()
+        Gtk.HBox.__init__(self)
+        self._combo = Gtk.ComboBox.new_with_entry()
         self._combo.get_child().connect('focus-out-event', self._on_combo_changed)
 
         # Build branch history
@@ -55,7 +55,7 @@
             self._combo_model.append([ item ])
 
         self._combo.set_model(self._combo_model)
-        self._combo.set_text_column(0)
+        self._combo.set_entry_text_column(0)
 
     def _on_combo_changed(self, widget, event):
         self.emit('branch-changed', widget)

=== modified file 'checkout.py'
--- checkout.py	2011-08-01 14:46:23 +0000
+++ checkout.py	2011-08-13 01:28:20 +0000
@@ -46,7 +46,7 @@
         self._button_revision = Gtk.Button('')
         self._image_browse = Gtk.Image()
         self._filechooser = Gtk.FileChooserButton(_i18n("Please select a folder"))
-        self._combo = Gtk.ComboBoxEntry()
+        self._combo = Gtk.ComboBox.new_with_entry()
         self._label_location = Gtk.Label(label=_i18n("Branch location:"))
         self._label_destination = Gtk.Label(label=_i18n("Destination:"))
         self._label_nick = Gtk.Label(label=_i18n("Branch nick:"))
@@ -112,7 +112,7 @@
             self._combo_model.append([ item ])
 
         self._combo.set_model(self._combo_model)
-        self._combo.set_text_column(0)
+        self._combo.set_entry_text_column(0)
 
     def _get_last_revno(self):
         """ Get the revno of the last revision (if any). """

=== modified file 'mergedirective.py'
--- mergedirective.py	2011-07-31 16:50:29 +0000
+++ mergedirective.py	2011-08-13 01:28:20 +0000
@@ -45,7 +45,7 @@
 
     def _create(self):
         table = Gtk.Table(rows=3, columns=2)
-        self.vbox.add(table)
+        self.get_content_area().add(table)
 
         label = Gtk.Label()
         label.set_markup("<b>Branch to Submit:</b>")
@@ -68,7 +68,7 @@
         label.set_markup("<b>Email To:</b>")
         table.attach(label, 0, 1, 2, 3, Gtk.AttachOptions.FILL, Gtk.AttachOptions.FILL)
 
-        self.mail_to = Gtk.ComboBoxEntry()
+        self.mail_to = Gtk.ComboBox.new_with_entry()
         mail_to = self.branch.get_config().get_user_option('submit_to')
         if mail_to is None:
             submit_branch = self.submit_branch.get_branch()

